Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.io
Class ObjectInputStream.GetField

    java.lang.Object
      |
      +--java.io.ObjectInputStream.GetField

Enclosing class:
  ObjectInputStream

public abstract static class ObjectInputStream.GetField
extends Object

Provide access to the persistent fields read from the input stream.

Constructor Summary
`ObjectInputStream.GetField()`

Method Summary
`abstract boolean` | `defaulted(String name)` Return true if the named field is defaulted and has no value in this stream.
`abstract boolean` | `get(String name, boolean defvalue)` Get the value of the named boolean field from the persistent field.
`abstract byte` | `get(String name, byte defvalue)` Get the value of the named byte field from the persistent fields.
`abstract char` | `get(String name, char defvalue)` Get the value of the named char field from the persistent fields.
`abstract double` | `get(String name, double defvalue)` Get the value of the named double field from the persistent field.
`abstract float` | `get(String name, float defvalue)` Get the value of the named float field from the persistent fields.
`abstract int` | `get(String name, int defvalue)` Get the value of the named int field from the persistent fields.
`abstract long` | `get(String name, long defvalue)` Get the value of the named long field from the persistent fields.
`abstract Object` | `get(String name, Object defvalue)` Get the value of the named Object field from the persistent field.
`abstract short` | `get(String name, short defvalue)` Get the value of the named short field from the persistent fields.
`abstract ObjectStreamClass` | `getObjectStreamClass()` Get the ObjectStreamClass that describes the fields in the stream.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ObjectInputStream.GetField

    public ObjectInputStream.GetField()

Method Detail

### getObjectStreamClass

    public abstract ObjectStreamClass getObjectStreamClass()

  Get the ObjectStreamClass that describes the fields in the stream.
  Returns:
    the descriptor class that describes the serializable fields

### defaulted

    public abstract boolean defaulted(String name)
                               throws IOException,
                                      IllegalArgumentException

  Return true if the named field is defaulted and has no value in this stream.
  Parameters:
    `name` - the name of the field
  Returns:
    true, if and only if the named field is defaulted
  Throws:
    `IOException` - if there are I/O errors while reading from the underlying `InputStream`
    `IllegalArgumentException` - if `name` does not correspond to a serializable field

### get

    public abstract boolean get(String name,
                                boolean defvalue)
                         throws IOException,
                                IllegalArgumentException

  Get the value of the named boolean field from the persistent field.
  Parameters:
    `name` - the name of the field
    `defvalue` - the default value to use if `name` does not have a value
  Returns:
    the value of the named `boolean` field
  Throws:
    `IOException` - if there are I/O errors while reading from the underlying `InputStream`
    `IllegalArgumentException` - if type of `name` is not serializable or if the field type is incorrect

### get

    public abstract char get(String name,
                             char defvalue)
                      throws IOException,
                             IllegalArgumentException

  Get the value of the named char field from the persistent fields.
  Parameters:
    `name` - the name of the field
    `defvalue` - the default value to use if `name` does not have a value
  Returns:
    the value of the named `char` field
  Throws:
    `IOException` - if there are I/O errors while reading from the underlying `InputStream`
    `IllegalArgumentException` - if type of `name` is not serializable or if the field type is incorrect

### get

    public abstract byte get(String name,
                             byte defvalue)
                      throws IOException,
                             IllegalArgumentException

  Get the value of the named byte field from the persistent fields.
  Parameters:
    `name` - the name of the field
    `defvalue` - the default value to use if `name` does not have a value
  Returns:
    the value of the named `byte` field
  Throws:
    `IOException` - if there are I/O errors while reading from the underlying `InputStream`
    `IllegalArgumentException` - if type of `name` is not serializable or if the field type is incorrect

### get

    public abstract short get(String name,
                              short defvalue)
                       throws IOException,
                              IllegalArgumentException

  Get the value of the named short field from the persistent fields.
  Parameters:
    `name` - the name of the field
    `defvalue` - the default value to use if `name` does not have a value
  Returns:
    the value of the named `short` field
  Throws:
    `IOException` - if there are I/O errors while reading from the underlying `InputStream`
    `IllegalArgumentException` - if type of `name` is not serializable or if the field type is incorrect

### get

    public abstract int get(String name,
                            int defvalue)
                     throws IOException,
                            IllegalArgumentException

  Get the value of the named int field from the persistent fields.
  Parameters:
    `name` - the name of the field
    `defvalue` - the default value to use if `name` does not have a value
  Returns:
    the value of the named `int` field
  Throws:
    `IOException` - if there are I/O errors while reading from the underlying `InputStream`
    `IllegalArgumentException` - if type of `name` is not serializable or if the field type is incorrect

### get

    public abstract long get(String name,
                             long defvalue)
                      throws IOException,
                             IllegalArgumentException

  Get the value of the named long field from the persistent fields.
  Parameters:
    `name` - the name of the field
    `defvalue` - the default value to use if `name` does not have a value
  Returns:
    the value of the named `long` field
  Throws:
    `IOException` - if there are I/O errors while reading from the underlying `InputStream`
    `IllegalArgumentException` - if type of `name` is not serializable or if the field type is incorrect

### get

    public abstract float get(String name,
                              float defvalue)
                       throws IOException,
                              IllegalArgumentException

  Get the value of the named float field from the persistent fields.
  Parameters:
    `name` - the name of the field
    `defvalue` - the default value to use if `name` does not have a value
  Returns:
    the value of the named `float` field
  Throws:
    `IOException` - if there are I/O errors while reading from the underlying `InputStream`
    `IllegalArgumentException` - if type of `name` is not serializable or if the field type is incorrect

### get

    public abstract double get(String name,
                               double defvalue)
                        throws IOException,
                               IllegalArgumentException

  Get the value of the named double field from the persistent field.
  Parameters:
    `name` - the name of the field
    `defvalue` - the default value to use if `name` does not have a value
  Returns:
    the value of the named `double` field
  Throws:
    `IOException` - if there are I/O errors while reading from the underlying `InputStream`
    `IllegalArgumentException` - if type of `name` is not serializable or if the field type is incorrect

### get

    public abstract Object get(String name,
                               Object defvalue)
                        throws IOException,
                               IllegalArgumentException

  Get the value of the named Object field from the persistent field.
  Parameters:
    `name` - the name of the field
    `defvalue` - the default value to use if `name` does not have a value
  Returns:
    the value of the named `Object` field
  Throws:
    `IOException` - if there are I/O errors while reading from the underlying `InputStream`
    `IllegalArgumentException` - if type of `name` is not serializable or if the field type is incorrect

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.